Bug 152179 - CAN-2005-0750 bluetooth security flaw
Summary: CAN-2005-0750 bluetooth security flaw
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,reported=20050324,pu...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-25 17:55 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:283 high SHIPPED_LIVE Important: kernel security update 2005-04-28 04:00:00 UTC

Description Mark J. Cox 2005-03-25 17:55:27 UTC
(Affects RHEL2.1, but 2.4 needs a slightly altered patch)

+++ This bug was initially created as a clone of Bug #152177 +++

A flaw was discovered by Ilja van Sprundel in the bluetooth driver affecting 2.4
and 2.6.  On system where bluetooth modules are loaded, a local user could use
this flaw to gain root privileges.

Comment 1 Jason Baron 2005-03-30 20:31:33 UTC
looks like this driver is not in 2.1 x86. 

Comment 2 Jim Paradis 2005-04-19 18:31:29 UTC
It turns out that this driver *is* in 2.1 x86, and I committed a fix to the
RHEL2.1 patch pool for kernel version 2.4.9-e.62

Comment 3 John Flanagan 2005-04-28 15:05:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-283.html



Note You need to log in before you can comment on or make changes to this bug.